Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## configuration
Class DependencySpecification

    java.lang.Object
      |
      +--configuration.DependencySpecification

public class DependencySpecification
extends java.lang.Object

A triple (hookName, component, attributes). It is used in two situations.

1. to represent components attached to local hooks and
2. to represent client hooks to which this component is attached.

See Also:
  `ComponentConfigurator`

Field Summary
`DependencyAttributes` | `attributes_` The attributes (or properties) associated with the hook.
`ComponentConfigurator` | `component_` The component that is attached to the hook or the client that contains the hook.
`java.lang.String` | `hook_` The name of the hook.

Constructor Summary
`DependencySpecification(java.lang.String hook, ComponentConfigurator component, DependencyAttributes attributes)` Creates a new DependencySpecification with the given values.

Method Summary
`boolean` | `equals(DependencySpecification hs)` Compares this DependencySpecification with hs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hook_

    public java.lang.String hook_

  The name of the hook.

### component_

    public ComponentConfigurator component_

  The component that is attached to the hook or the client that contains the hook.

### attributes_

    public DependencyAttributes attributes_

  The attributes (or properties) associated with the hook.

Constructor Detail

### DependencySpecification

    public DependencySpecification(java.lang.String hook,
                                   ComponentConfigurator component,
                                   DependencyAttributes attributes)

  Creates a new DependencySpecification with the given values. Note that it does not create copies of the objects passed as parameters, it just stores references to them.

Method Detail

### equals

    public boolean equals(DependencySpecification hs)

  Compares this DependencySpecification with hs.
  Returns:
    true if the hook name and component of the DependencySpecification point to the same objects as the member variables of hs. Otherwise, returns false.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD